Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.ptree
Class PTreeReader

    java.lang.Object
      com.saxonica.ptree.PTreeReader

    public class PTreeReader

extends java.lang.Object

This class loads a TinyTree held as a serialized binary file on disk, in a proprietary format designed for speed of loading back into a new TinyTree.

The format stored on disk is not dependent on the NamePool. Although it still uses name codes, it also contains a mapping of namecodes to the actual QNames.

The base URIs of nodes are not retained. Line numbers (if they were present in the original tree) are not retained.

Nested Class Summary
`static class` | `PTreeReader.PTreeException`

Constructor Summary
`PTreeReader()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`DocumentInfo` | `readTree(java.io.DataInputStream in, java.lang.String systemId, Configuration config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PTreeReader

    public PTreeReader()

Method Detail

### readTree

    public DocumentInfo readTree(java.io.DataInputStream in,
                                 java.lang.String systemId,
                                 Configuration config)
                          throws java.io.IOException,
                                 XPathException

  Throws:
    `java.io.IOException`
    `XPathException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.